// chapitre 5 espaces de nom.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

#include <iostream>
using namespace std;	// utilise tout l'espace de nom std

namespace Batiment
{
	double longueur;

	void mesurer()
	{
		longueur=50.3;
	}
} ;

namespace Chaines
{
	int longueur;

	void calcule_longueur(char*s)
	{
		longueur=strlen(s);
	}

	bool cout;
} ;

int main(int argc, char* argv[])
{
	Batiment::mesurer();
	printf("La longueur du bâtiment est %g\n",Batiment::longueur);

	using Chaines::longueur;
	Chaines::calcule_longueur("bonjour");
	printf("La longueur de la chaîne est %d\n",longueur);

	cout << "Bonjour\n";
	std::cout << "Bonjour\n";

	using namespace Chaines;
	std::cout << "Pas de toute sur cette ligne\n";
	return 0;
}

